Api referenceTopicIssues
Open the topic issue workspace (Preview)
Preview · Available to selected organizations. Returns the existing project workspace and pulls saved Git changes. Does not create a repository. Requires issueContent and email.
Returns the existing project workspace and pulls saved Git changes. Does not create a repository. Requires issueContent and email.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^unsub_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/topics/string/issues/workspace"{ "workspace": { "projectId": "string", "organizationId": "string", "ownerEpoch": 0, "repositoryName": "string", "defaultBranch": "string", "baseCommit": "string", "remoteHead": "string", "pendingRemoteHead": "string", "revision": "string", "overlay": { "property1": "string", "property2": "string" }, "assetChanges": [ { "path": "string", "status": "added" } ], "conflicts": [ { "path": "string", "base": "string", "draft": "string", "main": "string" } ], "provenance": { "references": [ { "kind": "string", "digest": "string", "locator": "string" } ] }, "mounts": [ { "kind": "project", "root": "/project", "access": "read-write" } ], "libraryManifestDigest": "string", "createdAt": "string", "updatedAt": "string", "createdBy": { "userId": "string", "via": "api" }, "updatedBy": { "userId": "string", "via": "api" } }, "files": { "property1": "string", "property2": "string" }}